Bug 973516 - gvfs-smb 1.14.2-2 unable to mount shares with password protection
gvfs-smb 1.14.2-2 unable to mount shares with password protection
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gvfs (Show other bugs)
18
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Ondrej Holy
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-12 02:44 EDT by Benjamin Kingston
Modified: 2014-02-05 16:47 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-05 16:47:02 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Benjamin Kingston 2013-06-12 02:44:42 EDT
Description of problem:
Ever since gvfs-smb was updated at Fri 31 May 2013 10:56:41 PM MST I have not been able to mount my password protected shares through nautilus or gigolo. 

Version-Release number of selected component (if applicable):


How reproducible:
Every time, test profile, multiple F18 computers

Steps to Reproduce:
1.update gvfs-smb 1.14.2-2
2.mount samba password share with known working information
3.View looping login prompt

Actual results:

GVFS asks for password reprompt even though domain, username and password are known correct. GVFS_SMB_DEBUG=60 /usr/libexec/gvfsd -r reports "SPNEGO login failed: NT_STATUS_IO_TIMEOUT"

Expected results:
Mounting share properly

Additional info:
I removed the password requirements from the particular share and set it to guest only which does mount in GVFS. I know for sure it was working prior to the update on may 31st as I have a daily backup.

I know it is not an issue with my samba server because I can easily mount with mount -t cifs -o user=me,password=secure //file.domain.net/me /mnt/me
Comment 1 Fedora End Of Life 2013-12-21 08:58:23 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 2 Fedora End Of Life 2014-02-05 16:47:02 EST
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.